#
# spec file for package libnscd (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libnscd
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        1.1
Release:        16.2
Summary:        Library to Allow Applications to Communicate with nscd
Source:         libnscd-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library provides an interface for applications to NSCD (Name
Service Cache Daemon) and allows those applications, if they have the
necessary permissions, to flush the cache for special services.



%debug_package
%package devel
Summary:        Include Files and Libraries for Development.
Group:          System/Libraries
Requires:       libnscd = %{version}
Autoreqprov:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that needs to communicate with a running nscd.



%prep
%setup

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --libdir=%{_libdir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv -v $RPM_BUILD_ROOT%{_libdir}/libnscd.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf ../../%{_lib}/libnscd.so.1 $RPM_BUILD_ROOT%{_libdir}/libnscd.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING.LIB README NEWS
/%{_lib}/libnscd.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include/*.h
%{_libdir}/libnscd.a
%{_libdir}/libnscd.la
%{_libdir}/libnscd.so

%changelog -n libnscd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 22 2005 - kukuk@suse.de
- libtool is crap
* Tue Feb 22 2005 - kukuk@suse.de
- Update to libnscd 1.1 (fix interface to nscd) [#65748]
* Tue Sep 14 2004 - kukuk@suse.de
- Initial release
